package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.service.IUserPrivilegeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户设备组权限
 *
 * @author chenyi
 * @since 2021-07-12
 */
@RestController
@RequestMapping("/bms/api/operate/userPrivilege")
public class UserPrivilegeController extends BaseController {

    @Resource
    private IUserPrivilegeService userPrivilegeService;

    /**
     * 获取用户未有权限的设备组
     */
    @GetMapping("getGroupsByUserId.do")
    public ServerResponse getGroupsByUserId(Integer userId) {
        return ServerResponse.success(userPrivilegeService.getGroupByUserId(userId()));
    }

    /**
     * 添加权限
     */
    @PostMapping("save.do")
    public ServerResponse save(Integer userId, String[] groups) {
        userPrivilegeService.saveBatch(userId, groups);
        return ServerResponse.success();
    }
}
