package com.zy.bms.service;

import com.zy.bms.entity.DeviceBase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zy.bms.pojo.vo.DeviceWxListVo;

import java.util.List;
import java.util.Map;

/**
 * 设备静态信息 服务类
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IDeviceBaseService extends IService<DeviceBase> {

    /**
     * 校验设备码是否存在
     *
     * @param openNum 设备码
     */
    boolean checkOpenNum(String openNum);

    /**
     * 微信
     * 通过设备组查询设备集合
     *
     * @param groupId 设备组
     */
    List listByGroupIdWx(String groupId);

    /**
     * 微信
     * 通过设备组集合查询全部设备
     *
     * @param groupIds 设备组ID集合
     */
    Map<String, List<DeviceWxListVo>> listByGroupIdsWx(List<String> groupIds);

    /**
     * 微信
     * 获取设备详情
     *
     * @param openNum 设备码
     */
    Object getDetailWx(String openNum);
}
